<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//LOGIN Y LOGOUT
Route::get('/', 'LogeoController@index');
Route::get('crear-sesion', 'LogeoController@crearSesion');
Route::get('cerrar-sesion', 'LogeoController@destroy');

Route::get('saludo', 'ActividadController@index');

Route::get('index', 'MenuController@index');
Route::get('inicio', 'MenuController@inicio');

Route::get('vista', 'MenuController@vistaPrueba');

Route::post('alumno/ncontrol', 'AlumnoController@verificaUsuario');

//AUTOCOMPLETE DEPENDENCIAS E INFORMACION
Route::get('buscador', 'DependenciaController@autocomplete');
Route::get('dependencia/{id}', 'DependenciaController@show');

//CONTROLADOR DE SOLICITUD
Route::post('updateAlumno/{id}', 'AlumnoController@update');

Route::get('solicitud', 'SolicitudController@index');
Route::post('solicitud', 'SolicitudController@store');
Route::get('solicitud/{id}/edit', 'SolicitudController@edit');
Route::post('solicitud/update', 'SolicitudController@update');
Route::get('solicitud/{id}', 'SolicitudController@show');
Route::get('carta/{id}', 'SolicitudController@showCarta');

Route::get('descargarSolicitud/{id}', 'SolicitudController@descargaSolicitud');
Route::get('descargarCartaCompromiso/{id}', 'SolicitudController@descargaCarta');

Route::get('carta-compromiso', 'SolicitudController@carta');

Route::get('cartas/{id}', 'CartaController@show');
Route::get('carta-presentacionpdf/{id}', 'CartaController@descargarCarta');
Route::get('cartaLiberacion/{id}', 'CartaController@showConstancia');
Route::get('constancia-liberacionpdf/{id}', 'CartaController@constanciaPDF');

//CONTROLADOR DE REPORTES
Route::post('reporte', 'ReporteController@store');
Route::get('reporte/{id}', 'ReporteController@show');
Route::get('/descargaPDFReporte/{id}', 'ReporteController@PDF');
Route::get('acumuladas', 'ReporteController@horasacumuladas');

Route::get('modificar-reporte/{id}', 'ReporteController@edit');
Route::post('reporte/update/{id}', 'ReporteController@update');

//CONTROLADOR DE EVALUACIONES
Route::get('evaluacion/{id}', 'EvaluacionController@evaluacion1');
Route::post('evaluacion/{id}', 'EvaluacionController@evaluacionStore');
Route::get('/descargaPDFEvaluacion/{id}', 'EvaluacionController@descargarPDFEvaluacion');
Route::get('autoevaluacion/{id}', 'EvaluacionController@autoevaluacion');
Route::post('autoevaluacion/{id}', 'EvaluacionController@store');
Route::get('/descargaPDFAutoevaluacion/{id}', 'EvaluacionController@descargaPDFAutoevaluacion');

Route::get('evaluacion1', 'EvaluacionController@evaluacion1');
Route::get('evaluacion2', 'EvaluacionController@evaluacion2');
Route::get('evaluacion3', 'EvaluacionController@evaluacion3');


//CONTROLADOR DE CALENDARIOS
Route::get('calendarios', 'CalendarioController@index');

Route::get('ver-calendario', 'CalendarioController@verCalendario');
Route::get('calendario/periodo/{id}', 'CalendarioController@show');

Route::get('descargarPlan/{id}', 'ArchivosController@descargar');

Route::resource('expediente', 'ExpedienteController');
Route::resource('expediente_alumno', 'ExpedienteAlumnoController');
